<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:jaxws="http://cxf.apache.org/jaxws"
	xmlns:sec="http://cxf.apache.org/configuration/security" xmlns:wsa="http://cxf.apache.org/ws/addressing"
	xmlns:p="http://www.springframework.org/schema/p" xmlns:http="http://cxf.apache.org/transports/http/configuration"
	xmlns:t="http://dnetlib.eu/springbeans/t" xmlns:template="http://dnetlib.eu/springbeans/template"
	xmlns:util="http://www.springframework.org/schema/util" xmlns:context="http://www.springframework.org/schema/context"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
						http://cxf.apache.org/ws/addressing http://cxf.apache.org/schemas/ws-addr-conf.xsd
						http://cxf.apache.org/configuration/security http://cxf.apache.org/schemas/configuration/security.xsd
						http://cxf.apache.org/transports/http/configuration http://cxf.apache.org/schemas/configuration/http-conf.xsd
						http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd
						http://dnetlib.eu/springbeans/template http://dnetlib.eu/springbeans/template.xsd
						http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd
						http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd">


	<bean name="/ui/indexInspector.do"
		class="eu.dnetlib.functionality.modular.ui.index.IndexServiceEntryPointController"
		p:menu="Index Service Inspector" 
		p:title="Index Service Inspector"
		p:description="Index Service Inspector"
		p:order="3" 
		p:group="Tools">
		<property name="permissionLevels">
			<set>
				<value>IS_ADMIN</value>
			</set>
		</property>
	</bean>
	
	<bean id="indexClientMap" class="eu.dnetlib.functionality.modular.ui.index.IndexClientMap"
		destroy-method="shutdown"/>

</beans>
